---
lang: en
title: 'API docs: testlab.inject'
keywords: LoopBack 4.0, LoopBack 4, Node.js, TypeScript, OpenAPI
sidebar: lb4_sidebar
editurl: https://github.com/loopbackio/loopback-next/tree/master/packages/testlab
permalink: /doc/en/lb4/apidocs.testlab.inject.html
---

<!-- Do not edit this file. It is automatically generated by API Documenter. -->

[Home](./index.md) &gt; [@loopback/testlab](./testlab.md) &gt; [inject](./testlab.inject.md)

## inject() function

**Signature:**

```typescript
inject: (dispatchFunc: ShotListener, options: ShotRequestOptions) => Promise<ResponseObject>
```

## Parameters

|  Parameter | Type | Description |
|  --- | --- | --- |
|  dispatchFunc | ShotListener |  |
|  options | ShotRequestOptions |  |

**Returns:**

Promise&lt;ResponseObject&gt;


